| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
GTKSupport
GTKSupport.Util

# Method GTKSupport.Util.decode_image()

Method decode_image

  `mapping decode_image(string data, mapping|array|void tocolor)`

Description

  Decodes an image as a GDK.Pixmap .

Returns

  `"format" : string` | The MIME content type of the image.
  `"alpha" : GDK.Bitmap` | The alpha channel of the image, if any. Otherwise `0`.
  `"img" : GDK.Bitmap` | The decoded image.